#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_AVRG.h"

/*  Interface for c_AVRG fonction */

extern void c_AVRG(int nval, int ncol, 
  double *MISS, double *DATA, 
  double *CALC_AVG, double *CALC_AVGQ, double *Nposte);

int c_intAVRG(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2, l3, l4, l5;
  static int minlhs=1, maxlhs=3, minrhs=2, maxrhs=2, n3=1, n4=1, n5=1;

  /* Check number of inputs (rhs=2) and outputs (lhs=2) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get Qdata (#1) and Param (#2) and create C (#3) as double (MATRIX_OF_DOUBLE_DATATYPE) matrices */
  GetRhsVar(1, MATRIX_OF_DOUBLE_DATATYPE, &m1, &n1, &l1);   /* Missing code */
  GetRhsVar(2, MATRIX_OF_DOUBLE_DATATYPE, &m2, &n2, &l2);   /* Values to average */

  CreateVar(3, MATRIX_OF_DOUBLE_DATATYPE, &m2, &n3, &l3);   /* Calculated average */
  CreateVar(4, MATRIX_OF_DOUBLE_DATATYPE, &m2, &n4, &l4);   /* Calculated quadratic average */
  CreateVar(5, MATRIX_OF_DOUBLE_DATATYPE, &m2, &n5, &l5);   /* Number of stations used to calculate the values*/

  /* Check dimensions  */  
  if (!(m1==1)|!(n1==1)) { Scierror("%s: Wrong inputs \r\n", "c_AVRG");
    Error(999);
    return 0;}

  /* Call c_AVRG */
  c_AVRG(m2,n2,stk(l1),stk(l2),stk(l3),stk(l4),stk(l5));

  /*  Return result  */
  LhsVar(1) = 3;
  LhsVar(2) = 4;
  LhsVar(3) = 5;
  return 0;
}

