#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_CONVDATE.h"

/*  Interface for c_CONVDATE fonction */

void c_CONVDATE(int nval, int *FORMAT, double *DATES, double *CONV);

int c_intCONVDATE(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2, l3;
  static int minlhs=1, maxlhs=1, minrhs=2, maxrhs=2, n3=1;

  /* Check number of inputs (rhs=2) and outputs (lhs=1) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get Qdata (#1) and Param (#2) and create C (#3) as double (MATRIX_OF_DOUBLE_DATATYPE) matrices */
  GetRhsVar(1, MATRIX_OF_INTEGER_DATATYPE, &m1, &n1, &l1);   /* Conversion type */
  GetRhsVar(2, MATRIX_OF_DOUBLE_DATATYPE, &m2, &n2, &l2);   /* Dates value */

  CreateVar(3, MATRIX_OF_DOUBLE_DATATYPE, &m2, &n3, &l3);   /* Converted dates*/

  /* Check dimensions  */  
  if (!(m1==1)|!(n1==1)) { sciprint("%s: Wrong inputs \r\n", "c_CONVDATE");
    Error(999);
    return 0;}

  /* Call c_CONVDATE */
  c_CONVDATE(m2,istk(l1),stk(l2),stk(l3));

  /*  Return result  */
  LhsVar(1) = 3;
  return 0;
}

