#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_CORRIGE.h"

/*  Interface for c_CORRIGE */

extern void c_CORRIGE(int nval,double * Qdata, double * TYPE, double * Qcalc);

int c_intCORRIGE(fname) 
     char *fname;
{
  static int l1, m1, n1, l2,m2,n2,l3;
  static int minlhs=1, maxlhs=1, minrhs=2, maxrhs=2;

  /* Check number of inputs (rhs=1) and outputs (lhs=1) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get Qdata (#1) and Param (#2) and create C (#3) as double ("d") matrices */
  GetRhsVar(1, "d", &m1, &n1, &l1);   /* input */
  GetRhsVar(2, "d", &m2, &n2, &l2);   /* Type */
  CreateVar(3, "d", &m1, &n1, &l3);   /* Calculated output */

  /* Check dimensions  */  
  if (!(n1==1)|!(m2==1)|!(n2==1)) { sciprint("%s: Wrong inputs \r\n", "c_CORRIGE");
    Error(999);
    return 0;}


  /* Call autoreg */
  c_CORRIGE(m1,stk(l1),stk(l2),stk(l3));

  /*  Return result  */
  LhsVar(1) = 3;
  return 0;
}

