#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_ETP.h"

/*  Interface for ETP */

extern void c_ETP(long int NVAL, 
    double *PAS, double *LAT, double *TEMPM, double *DATEDEP, 
    double *TYPE, double *ETP);

int c_intETP(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2,  l3, m3, n3, l4, m4,n4,l5, m5,n5, l6,m6,n6,l7;
  static int minlhs=1, maxlhs=1, minrhs=6, maxrhs=6;
  int nval;	 

  /* Check number of inputs (rhs=6) and outputs (lhs=1) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get inputs */
  GetRhsVar(1, "d", &m1, &n1, &l1);   /* Nb of values */
  GetRhsVar(2, "d", &m2, &n2, &l2);   /* PAS (hour) */
  GetRhsVar(3, "d", &m3, &n3, &l3);   /* Latitude */
  GetRhsVar(4, "d", &m4, &n4, &l4);   /* 12 Monthly input data (T or ETP)*/
  GetRhsVar(5, "d", &m5, &n5, &l5);   /* Type of input data */
  GetRhsVar(6, "d", &m6, &n6, &l6);   /* Date of initial value */

  /* Check dimensions    */
  if ((m1!=1)|(m2!=1)|(m3!=1)|(m4!=12)|(m5!=1)|(m6!=1)|(n1!=1)|(n2!=1)|(n3!=1)|(n4!=1)|(n5!=1)|(n6!=1)) { 
	sciprint("%s: Wrong inputs \r\n", "c_ETP");
    	Error(999);
    	return 0;
  }

  /* Get the size of the vector to return */
  nval = (int)(*stk(l1));
	
  /* Create the variable */
  CreateVar(7, "d", &nval, &n3, &l7);   /* ETP time series */

  /* Call c_ETP */
  c_ETP(nval,stk(l2), stk(l3), stk(l4), stk(l5),stk(l6),stk(l7));

  /*  Return result  */
  LhsVar(1) = 7 ;
  return 0;
}
