#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_ETPD.h"

/*  Interface for ETP */

extern void c_ETPD(int nval, double *LAT, double *TEMP, double *DATE, double *ETP);

int c_intETPD(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2,  l3, m3, n3, l4;
  static int minlhs=1, maxlhs=1, minrhs=3, maxrhs=3;	
 

  /* Check number of inputs (rhs=4) and outputs (lhs=1) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get inputs */
  GetRhsVar(1, "d", &m1, &n1, &l1);   /* Latitude */
  GetRhsVar(2, "d", &m2, &n2, &l2);   /* Temperature values*/
  GetRhsVar(3, "d", &m3, &n3, &l3);   /* Dates*/

  CreateVar(4, "d", &m2, &n2, &l4);   /* ETP time series */

  /* Check dimensions    */
  if ((m1!=1)|(m2!=m3)|(n1!=1)|(n2!=1)|(n3!=n2)) { 
	sciprint("%s: Wrong inputs \r\n", "c_ETPD");
    	Error(999);
    	return 0;
  }


  /* Call c_ETPD */
  c_ETPD(m2,stk(l1), stk(l2), stk(l3), stk(l4));

  /*  Return result  */
  LhsVar(1) = 4;
  return 0;
}
