#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_GENEPAR.h"

/*  Interface for c_GENEPAR fonction */

extern void c_GENEPAR( int nval, double * DATEDEP,double * Pinp, 
                          double * MULTPPOS, double * PX);

int c_intGENEPAR(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2, l3,m3,n3;
  static int minlhs=1, maxlhs=1, minrhs=2, maxrhs=2;
  double MULTPPOS[1];
  
  MULTPPOS[0]=0.693147180560;
  
  m3=7; // 6 seasons in for the generator !! (PX = 7 rows X 8 columns) >> 7 rows = 6 seasons + 1 
  n3=8;

  /* Check number of inputs (rhs=3) and outputs (lhs=1) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get Qdata (#1) and Param (#2) and create C (#3) as double ("d") matrices */
  GetRhsVar(1, "d", &m1, &n1, &l1);   /* DATEDEP */
  GetRhsVar(2, "d", &m2, &n2, &l2);   /* P input */
  //GetRhsVar(3, "d", &m3, &n3, &l3);   /* mean(P>0) multiplier */

  CreateVar(3, "d", &m3, &n3, &l3);   /* Parameters */

  /* Check dimensions  */  
  if (!(m1==1)|!(n1==1)) { 
    sciprint("%s: DATEDEP is not a single value \r\n", "c_GENEPAR");
    Error(999);return 0;}
    
  if (!(n2==1)) { sciprint("%s: P is not a single column vector \r\n", "c_GENEPAR");
    Error(999);return 0;}

  /* Call GENEPAR */
  c_GENEPAR(m2,stk(l1),stk(l2),MULTPPOS,stk(l3));

  /*  Return result  */
  LhsVar(1) = 3;
  return 0;
}

