#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_GENEPLUIE.h"

/*  Interface for c_GENEPLUIE fonction */

extern void c_GENEPLUIE(int nbval,double * DATEDEP,double * RANDNB, 
  double * PX,double * Pini, double * GENEP);

int c_intGENEPLUIE(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2,  l3, m3, n3, l4, m4,n4,l5, n5=1;
  static int minlhs=1, maxlhs=1, minrhs=4, maxrhs=4;

  /* Check number of inputs (rhs=5) and outputs (lhs=1) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get Qdata (#1) and Param (#2) and create C (#3) as double ("d") matrices */
  GetRhsVar(1, "d", &m1, &n1, &l1);   /* DATEDEP */
  GetRhsVar(2, "d", &m2, &n2, &l2);   /* Random numbers (2 cols matrix)*/
  GetRhsVar(3, "d", &m3, &n3, &l3);   /* Generator parameters */
  GetRhsVar(4, "d", &m4, &n4, &l4);   /* Initial rainfall */

  CreateVar(5, "d", &m2, &n5, &l5);

  /* Check dimensions  */

  if (!(m1==1)|!(n1==1)|!(n2==2)|!(m3==7)|!(n3==8)|!(m4==1)|!(n4==1)) { 
	sciprint("%s: Wrong inputs \r\n", "c_GENEPLUIE");
    	Error(999);
    	return 0;
  }



  /* Call GENEPLUIE */
  c_GENEPLUIE(m2,stk(l1),stk(l2),stk(l3),stk(l4),stk(l5));

  /*  Return result  */
  LhsVar(1) = 5;
  return 0;
}
