#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_GR2M.h"

/*  Interface for GR2M */

extern void c_GR2M(int nval,double * PAS,double * Xinp,double * Pinp,
	double * Einp,double * Rcalc,double * Scalc,double * Qcalc, 
	double * INI, double * ECHcalc, double * PRcalc);

int c_intGR2M(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2,  l3, m3, n3, l4, m4,n4,l5, m5,n5, l6,l7,l8,l9,l10;
  static int minlhs=1, maxlhs=5, minrhs=5, maxrhs=5;

  /* Check number of inputs (rhs=5) and outputs (lhs=1..5) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get inputs */
  GetRhsVar(1, "d", &m1, &n1, &l1);   /* PAS (hour) */
  GetRhsVar(2, "d", &m2, &n2, &l2);   /* X */
  GetRhsVar(3, "d", &m3, &n3, &l3);   /* P */
  GetRhsVar(4, "d", &m4, &n4, &l4);   /* ETP */
  GetRhsVar(5, "d", &m5, &n5, &l5);   /* Initial filling level of S and R */

  CreateVar(6, "d", &m3, &n3, &l6);   /* PR */
  CreateVar(7, "d", &m3, &n3, &l7);   /* ECH */
  CreateVar(8, "d", &m3, &n3, &l8);   /* R */
  CreateVar(9, "d", &m3, &n3, &l9);   /* S */
  CreateVar(10, "d", &m3, &n3, &l10);   /* Q */

  /* Check dimensions    */
  if ((m1!=1)|(n1!=1)) { 
	  sciprint("%s: PAS is not a single value \r\n", "c_GR2M");
    Error(999);
    return 0;
  }
  if ((m2!=2)|(n2!=1)) { 
	  sciprint("%s: X is not a 2x1 vector  \r\n", "c_GR2M");
    Error(999);
    return 0;
  }
  if ((m3!=m4)|(n3!=1)|(n4!=1)) { 
	  sciprint("%s: P and ETP are not two Nx1 vectors \r\n", "c_GR2M");
    Error(999);
    return 0;
  }
  if ((m5!=2)|(n5!=1)) { 
	  sciprint("%s: INI is not a 2x1 vector \r\n", "c_GR2M");
    Error(999);
    return 0;
  }

  /* Call c_GR2M */
  c_GR2M(m3,stk(l1), stk(l2), stk(l3), stk(l4), 
    stk(l8), stk(l9), stk(l10), stk(l5), stk(l7), stk(l6));

  /*  Return result  */
  LhsVar(1) = 10;
  LhsVar(2) = 9;
  LhsVar(3) = 8;
  LhsVar(4) = 7;
  LhsVar(5) = 6;
  return 0;
}
