#include <string.h>
#include <math.h>
#include "stack-c.h"
//#include "c_PROPAG.h"

/*  Interface for c_PROPAG fonction */

extern void c_PROPAG(long int nval,
  double * TYPE,double * Xinp,
  double * Qdata,double * Qcalc,double * Rcalc);

int c_intPROPAG(fname) 
     char *fname;
{
  static int l1, m1, n1, l2, m2, n2, l3,m3,n3, l4,l5;
  static int minlhs=1, maxlhs=2, minrhs=3, maxrhs=3;

  /* Check number of inputs (rhs=3) and outputs (lhs=1) */
  CheckRhs(minrhs,maxrhs) ;
  CheckLhs(minlhs,maxlhs) ;

  /* Get Qdata (#1) and Param (#2) and create C (#3) as double ("d") matrices */
  GetRhsVar(1, "d", &m1, &n1, &l1);   /* TYPE */
  GetRhsVar(2, "d", &m2, &n2, &l2);   /* X parameters */
  GetRhsVar(3, "d", &m3, &n3, &l3);   /* Qcalc - input data */

  CreateVar(4, "d", &m3, &n3, &l4);   /* Calculated reservoir level */
  CreateVar(5, "d", &m3, &n3, &l5);   /* Calculated output discharge */

  /* Check dimensions  */  
  if (!(m1==1)|!(n1==1)|!(m2==4)|!(n2==1)|!(n3==1)) { sciprint("%s: Wrong inputs \r\n", "c_PROPAG");
    Error(999);
    return 0;}

  /* Call autoreg */
  c_PROPAG(m3,stk(l1),stk(l2),stk(l3),stk(l5),stk(l4));

  /*  Return result  */
  LhsVar(1) = 5;
  LhsVar(2) = 4;
  return 0;
}

