#include <math.h>

/***********************************************
* Average columnwise values (when different from
* missing value)
*	C_AVRG inputs :
*	nval = Number of value (nb of lines)
*	ncol = number of columns
*	MISS = Missing data code (often -9.99)
*	DATA = Matrix [nval x ncol] - value to average
*
* Possible improvement = Returning the nb of data used
* in the average
************************************************/

void c_AVRG(int nval,int ncol,double MISS[],double DATA[],double CALC_AVG[],double CALC_AVGQ[], double NPoste[])
{
	int i,j,ncol_OK;
	double avg,avgq,temp,missing;
	
	/* Check of parameter value */
	//printf("nval=%3d\ncol=%3d\nMISS=%5.2f\nDATA[0]=%5.2f",nval,ncol,MISS,DATA[0]);

	// Calculation of the average value
	missing=MISS[0];
		
	for( i=0 ; i < nval; i++){
		// Initialisation
		ncol_OK=0;
		avg=0;
		avgq=0;
		
		// Loop over the columns
		for( j=0 ; j < ncol; j++){
			temp = DATA[i + j*nval];
			if(temp!=missing){
				avg+=temp;
				avgq+=pow(temp,2);
				ncol_OK++;
			}
			//printf("\ni=%3d - j=%3d - temp=%5.2f - avg=%5.2f - ncol_OK=%3d",i,j,temp,avg,ncol_OK);

		}

		// Store result
		if (ncol_OK > 0) {CALC_AVG[i]=avg/ncol_OK;CALC_AVGQ[i]=pow(avgq/ncol_OK,0.5);NPoste[i]=ncol_OK;}
		else {CALC_AVG[i]=missing;NPoste[i]=0;}

		//printf("CALC_AVG[%3d]=%5.2f\n",i,CALC_AVG[i]);
		
	}
	
}

